scala.tools.nsc.util.CharArrayReader

# CharArrayLookaheadReader

#### class CharArrayLookaheadReader extends CharArrayReader

Source
  CharArrayReader.scala

Linear Supertypes
CharArrayReader, CharArrayReaderData, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CharArrayLookaheadReader
2. CharArrayReader
3. CharArrayReaderData
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CharArrayLookaheadReader()

### Type Members

1. #### class CharArrayLookaheadReader extends CharArrayReader

   Definition Classes
     CharArrayReader

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CharArrayLookaheadReader to any2stringadd[CharArrayLookaheadReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CharArrayLookaheadReader, B)

   Implicit information
     This member is added by an implicit conversion from CharArrayLookaheadReader to ArrowAssoc[CharArrayLookaheadReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val buf: Array[Char]

   Definition Classes
     CharArrayLookaheadReader → CharArrayReader

8. #### var ch: Char

   the last read character

   the last read character

   Definition Classes
     CharArrayReaderData

9. #### var charOffset: Int

   The offset one past the last read character

   The offset one past the last read character

   Definition Classes
     CharArrayReaderData

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def copyFrom(cd: CharArrayReaderData): CharArrayLookaheadReader.this.type

    Definition Classes
      CharArrayReaderData

12. #### def decodeUni: Boolean

    Definition Classes
      CharArrayLookaheadReader → CharArrayReader

13. #### def ensuring(cond: (CharArrayLookaheadReader) ⇒ Boolean, msg: ⇒ Any): CharArrayLookaheadReader

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to Ensuring[CharArrayLookaheadReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (CharArrayLookaheadReader) ⇒ Boolean): CharArrayLookaheadReader

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to Ensuring[CharArrayLookaheadReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): CharArrayLookaheadReader

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to Ensuring[CharArrayLookaheadReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): CharArrayLookaheadReader

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to Ensuring[CharArrayLookaheadReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def error(offset: Int, msg: String): Unit

    An error routine to call on bad unicode escapes \\uxxxx.

    An error routine to call on bad unicode escapes \\uxxxx.

    Definition Classes
      CharArrayLookaheadReader → CharArrayReader

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to StringFormat[CharArrayLookaheadReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def getc(): Char

    A mystery why CharArrayReader.nextChar() returns Unit

24. #### def getu(): Char

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### def isUnicodeEscape: Boolean

    Is last character a unicode escape \\uxxxx?

    Is last character a unicode escape \\uxxxx?

    Definition Classes
      CharArrayReader

28. #### var lastLineStartOffset: Int

    The start offset of the line before the current one

    The start offset of the line before the current one

    Definition Classes
      CharArrayReaderData

29. #### var lastUnicodeOffset: Int

    Attributes
      protected
    Definition Classes
      CharArrayReaderData

30. #### var lineStartOffset: Int

    The start offset of the current line

    The start offset of the current line

    Definition Classes
      CharArrayReaderData

31. #### def lookaheadReader: CharArrayLookaheadReader

    A new reader that takes off at the current character position

    A new reader that takes off at the current character position

    Definition Classes
      CharArrayReader

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def nextChar(): Unit

    Advance one character; reducing CR;LF pairs to just LF

    Advance one character; reducing CR;LF pairs to just LF

    Definition Classes
      CharArrayReader

34. #### final def nextRawChar(): Unit

    Advance one character, leaving CR;LF pairs intact.

    Advance one character, leaving CR;LF pairs intact. This is for use in multi-line strings, so there are no "potential line ends" here.

    Definition Classes
      CharArrayReader

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def →[B](y: B): (CharArrayLookaheadReader, B)

    Implicit information
      This member is added by an implicit conversion from CharArrayLookaheadReader to ArrowAssoc[CharArrayLookaheadReader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CharArrayReader

### Inherited from CharArrayReaderData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CharArrayLookaheadReader to any2stringadd[CharArrayLookaheadReader]

### Inherited by implicit conversion StringFormat from CharArrayLookaheadReader to StringFormat[CharArrayLookaheadReader]

### Inherited by implicit conversion Ensuring from CharArrayLookaheadReader to Ensuring[CharArrayLookaheadReader]

### Inherited by implicit conversion ArrowAssoc from CharArrayLookaheadReader to ArrowAssoc[CharArrayLookaheadReader]

### Ungrouped